<?php 
$log_idd = abs(intval($_SESSION['id']));
$nickk = filter($_SESSION['nick']);
$query_adminokno = "Select admin from users where id = '$log_idd'  limit 1";
$result_adminokno = mysqli_query($dbc, $query_adminokno) or die ('Ошибка передачи запроса к БД'); 
$row_adminokno = mysqli_fetch_array($result_adminokno);




if($row_adminokno['admin'] == 0){ echo 'Ты не администратор'; }else{
echo "<div class='stats'>";
$query_admnews = "SELECT * FROM `news` WHERE `id` = '$query_admnews[id]' LIMIT 1";
if(isset($_GET['yes']))echo '<center><span class="bonus">Новость успешно создана!</center></span>';
echo '<form action="?admin=news&save" method="post">';
echo '<span class="darkkhaki">Название:</span><br/>';
echo '<input name="name" type="text" value=""/><br/>';
echo '<span class="darkkhaki">Описание:</span><br/>';
echo '<textarea name="text"></textarea><br/>';
echo '<input type="submit" value="Создать"/>';
echo '</form>';
$name = filter($_POST['name']);
$text = filter($_POST['text']);


if(isset($_GET['save'])){
if(!$opis)echo 'Должно быть заполнено Описание!';
$time=time();
$query_cr = "insert into topics (`id_subf`, `avtor`, `fix`, `text`, `time_cre`, `time_up`, `name`,`news`) values ('1', '$log_idd', '0', '$text', NOW(), NOW(), '$name', '$name')";
$result_cr = mysqli_query($dbc, $query_cr) or die ('Ошибка передачи запроса к БД1');
$dbc->query("INSERT INTO `news` (`name`,`text`, `user`, `id_admin`, `time`)VALUES('$name', '$text' ,  '$nickk', '$log_idd','$time')");
$dbc->query("update `users` set `news_read` = '1', new_news=new_news+1");
header("Location:?admin=news&yes");
}
} 

?>